var search_data = {"index":{"searchIndex":["geo","coord","globes","earth","generic","==()","_extract_match()","_init()","_init_dms()","azimuth()","deg2rad()","distance()","endpoint()","from_h()","from_rad()","full_hash()","guard_seconds()","guess_sign()","inspect()","la()","latd()","latdms()","latds()","lath()","latlng()","latm()","lats()","latsign()","lngd()","lngdms()","lngds()","lngh()","lnglat()","lngm()","lngs()","lngsign()","new()","parse()","parse_dms()","parse_ll()","phi()","rad2deg()","strfcoord()","strpcoord()","to_h()","to_s()","λ()","φ()"],"longSearchIndex":["geo","geo::coord","geo::coord::globes","geo::coord::globes::earth","geo::coord::globes::generic","geo::coord#==()","geo::coord::_extract_match()","geo::coord#_init()","geo::coord#_init_dms()","geo::coord#azimuth()","geo::coord#deg2rad()","geo::coord#distance()","geo::coord#endpoint()","geo::coord::from_h()","geo::coord::from_rad()","geo::coord#full_hash()","geo::coord#guard_seconds()","geo::coord#guess_sign()","geo::coord#inspect()","geo::coord#la()","geo::coord#latd()","geo::coord#latdms()","geo::coord#latds()","geo::coord#lath()","geo::coord#latlng()","geo::coord#latm()","geo::coord#lats()","geo::coord#latsign()","geo::coord#lngd()","geo::coord#lngdms()","geo::coord#lngds()","geo::coord#lngh()","geo::coord#lnglat()","geo::coord#lngm()","geo::coord#lngs()","geo::coord#lngsign()","geo::coord::new()","geo::coord::parse()","geo::coord::parse_dms()","geo::coord::parse_ll()","geo::coord#phi()","geo::coord#rad2deg()","geo::coord#strfcoord()","geo::coord::strpcoord()","geo::coord#to_h()","geo::coord#to_s()","geo::coord#λ()","geo::coord#φ()"],"info":[["Geo","","Geo.html","","<p>Geo::Coord is Ruby&#39;s library for handling [lat, lng] pairs of geographical coordinates. It provides …\n"],["Geo::Coord","","Geo/Coord.html","","<p>Geo::Coord is main class of Geo module, representing +(latitude, longitude)+ pair. It stores coordinates …\n"],["Geo::Coord::Globes","","Geo/Coord/Globes.html","",""],["Geo::Coord::Globes::Earth","","Geo/Coord/Globes/Earth.html","",""],["Geo::Coord::Globes::Generic","","Geo/Coord/Globes/Generic.html","",""],["==","Geo::Coord","Geo/Coord.html#method-i-3D-3D","(other)","<p>Compares with <code>other</code>.\n<p>Note that no greater/lower relation is defined on Coord, so, for example, you can&#39;t …\n"],["_extract_match","Geo::Coord","Geo/Coord.html#method-c-_extract_match","(match, name)",""],["_init","Geo::Coord","Geo/Coord.html#method-i-_init","(lat, lng)",""],["_init_dms","Geo::Coord","Geo/Coord.html#method-i-_init_dms","(latd: 0, latm: 0, lats: 0, lath: nil, lngd: 0, lngm: 0, lngs: 0, lngh: nil)",""],["azimuth","Geo::Coord","Geo/Coord.html#method-i-azimuth","(other)","<p>Calculates azimuth (direction) to <code>other</code> in degrees. Vincenty formula is used.\n\n<pre>kharkiv = Geo::Coord.new(50.004444, ...</pre>\n"],["deg2rad","Geo::Coord","Geo/Coord.html#method-i-deg2rad","(d)",""],["distance","Geo::Coord","Geo/Coord.html#method-i-distance","(other)","<p>Calculates distance to <code>other</code> in SI units (meters). Vincenty formula is used.\n\n<pre>kharkiv = Geo::Coord.new(50.004444, ...</pre>\n"],["endpoint","Geo::Coord","Geo/Coord.html#method-i-endpoint","(distance, azimuth)","<p>Given distance in meters and azimuth in degrees, calculates other point on globe being on that direction/azimuth …\n"],["from_h","Geo::Coord","Geo/Coord.html#method-c-from_h","(hash)","<p>Creates Coord from hash, containing latitude and longitude.\n<p>This methos designed as a way for parsing …\n"],["from_rad","Geo::Coord","Geo/Coord.html#method-c-from_rad","(phi, la)","<p>Creates Coord from φ and λ (latitude and longitude in radians).\n\n<pre>g = Geo::Coord.from_rad(0.8727421884291233, ...</pre>\n"],["full_hash","Geo::Coord","Geo/Coord.html#method-i-full_hash","()",""],["guard_seconds","Geo::Coord","Geo/Coord.html#method-i-guard_seconds","(pattern, result)",""],["guess_sign","Geo::Coord","Geo/Coord.html#method-i-guess_sign","(h, hemishperes)",""],["inspect","Geo::Coord","Geo/Coord.html#method-i-inspect","()","<p>Returns a string represent coordinates object.\n\n<pre class=\"ruby\"><span class=\"ruby-identifier\">g</span>.<span class=\"ruby-identifier\">inspect</span>  <span class=\"ruby-comment\"># =&gt; &quot;#&lt;Geo::Coord 50.004444,36.231389&gt;&quot;</span>\n</pre>\n"],["la","Geo::Coord","Geo/Coord.html#method-i-la","()","<p>Latitude in radians. Geodesy formulae almost alwayse use greek Lambda for it; we are using shorter name …\n"],["latd","Geo::Coord","Geo/Coord.html#method-i-latd","()","<p>Returns latitude degrees (unsigned integer).\n"],["latdms","Geo::Coord","Geo/Coord.html#method-i-latdms","(hemisphere: true)","<p>Returns latitude components: degrees, minutes, seconds and optionally a hemisphere:\n\n<pre class=\"ruby\"><span class=\"ruby-comment\"># Nothern hemisphere: ...</span>\n</pre>\n"],["latds","Geo::Coord","Geo/Coord.html#method-i-latds","()",""],["lath","Geo::Coord","Geo/Coord.html#method-i-lath","()","<p>Returns latitude hemisphere (upcase letter &#39;N&#39; or &#39;S&#39;).\n"],["latlng","Geo::Coord","Geo/Coord.html#method-i-latlng","()","<p>Returns a two-element array of latitude and longitude.\n\n<pre class=\"ruby\"><span class=\"ruby-identifier\">g</span>.<span class=\"ruby-identifier\">latlng</span>   <span class=\"ruby-comment\"># =&gt; [50.004444, 36.231389]</span>\n</pre>\n"],["latm","Geo::Coord","Geo/Coord.html#method-i-latm","()","<p>Returns latitude minutes (unsigned integer).\n"],["lats","Geo::Coord","Geo/Coord.html#method-i-lats","()","<p>Returns latitude seconds (unsigned float).\n"],["latsign","Geo::Coord","Geo/Coord.html#method-i-latsign","()",""],["lngd","Geo::Coord","Geo/Coord.html#method-i-lngd","()","<p>Returns longitude degrees (unsigned integer).\n"],["lngdms","Geo::Coord","Geo/Coord.html#method-i-lngdms","(hemisphere: true)","<p>Returns longitude components: degrees, minutes, seconds and optionally a hemisphere:\n\n<pre class=\"ruby\"><span class=\"ruby-comment\"># Eastern hemisphere: ...</span>\n</pre>\n"],["lngds","Geo::Coord","Geo/Coord.html#method-i-lngds","()",""],["lngh","Geo::Coord","Geo/Coord.html#method-i-lngh","()","<p>Returns longitude hemisphere (upcase letter &#39;E&#39; or &#39;W&#39;).\n"],["lnglat","Geo::Coord","Geo/Coord.html#method-i-lnglat","()","<p>Returns a two-element array of longitude and latitude (reverse order to <code>latlng</code>).\n\n<pre class=\"ruby\"><span class=\"ruby-identifier\">g</span>.<span class=\"ruby-identifier\">lnglat</span>   <span class=\"ruby-comment\"># =&gt; [36.231389, ...</span>\n</pre>\n"],["lngm","Geo::Coord","Geo/Coord.html#method-i-lngm","()","<p>Returns longitude minutes (unsigned integer).\n"],["lngs","Geo::Coord","Geo/Coord.html#method-i-lngs","()","<p>Returns longitude seconds (unsigned float).\n"],["lngsign","Geo::Coord","Geo/Coord.html#method-i-lngsign","()",""],["new","Geo::Coord","Geo/Coord.html#method-c-new","(lat = nil, lng = nil, **kwargs)","<p>Creates Coord object.\n<p>There are three forms of usage:\n<p><code>Coord.new(lat, lng)</code> with <code>lat</code> and <code>lng</code> being floats; …\n"],["parse","Geo::Coord","Geo/Coord.html#method-c-parse","(str)","<p>Tries its best to parse Coord from string containing it (in any known form).\n\n<pre>Geo::Coord.parse(&#39;-50.004444 ...</pre>\n"],["parse_dms","Geo::Coord","Geo/Coord.html#method-c-parse_dms","(str)","<p>Parses Coord from string containing latitude and longitude in degrees-minutes-seconds-hemisphere format. …\n"],["parse_ll","Geo::Coord","Geo/Coord.html#method-c-parse_ll","(str)","<p>Parses Coord from string containing float latitude and longitude. Understands several types of separators/spaces …\n"],["phi","Geo::Coord","Geo/Coord.html#method-i-phi","()","<p>Latitude in radians. Geodesy formulae almost alwayse use greek Phi for it.\n"],["rad2deg","Geo::Coord","Geo/Coord.html#method-i-rad2deg","(r)",""],["strfcoord","Geo::Coord","Geo/Coord.html#method-i-strfcoord","(formatstr)","<p>Formats coordinates according to directives in <code>formatstr</code>.\n<p>Each directive starts with +%+ and can contain …\n"],["strpcoord","Geo::Coord","Geo/Coord.html#method-c-strpcoord","(str, pattern)","<p>Parses <code>str</code> into Coord with provided <code>pattern</code>.\n<p>Example:\n\n<pre class=\"ruby\"><span class=\"ruby-constant\">Geo</span><span class=\"ruby-operator\">::</span><span class=\"ruby-constant\">Coord</span>.<span class=\"ruby-identifier\">strpcoord</span>(<span class=\"ruby-string\">&#39;-50.004444/+36.231389&#39;</span>, <span class=\"ruby-string\">&#39;%lat/%lng&#39;</span>) <span class=\"ruby-operator\">...</span>\n</pre>\n"],["to_h","Geo::Coord","Geo/Coord.html#method-i-to_h","(lat: :lat, lng: :lng)","<p>Returns hash of latitude and longitude. You can provide your keys if you want:\n\n<pre class=\"ruby\"><span class=\"ruby-identifier\">g</span>.<span class=\"ruby-identifier\">to_h</span>\n<span class=\"ruby-comment\"># =&gt; {:lat=&gt;50.004444, ...</span>\n</pre>\n"],["to_s","Geo::Coord","Geo/Coord.html#method-i-to_s","(dms: true)","<p>Returns a string representing coordinates.\n\n<pre>g.to_s              # =&gt; &quot;50°0&#39;16\\&quot;N 36°13&#39;53\\&quot;E&quot;\ng.to_s(dms: ...</pre>\n"],["λ","Geo::Coord","Geo/Coord.html#method-i-CE-BB","()",""],["φ","Geo::Coord","Geo/Coord.html#method-i-CF-86","()",""]]}}